%define name    fusionsound
%define version 0.9.19
%define release 2mdk

%define libname %{_lib}%{name}
%define obslibname %{_lib}FusionSound

%define directfbver 0.9.20

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:            http://directfb.org/fusionsound.xml
Source0:        FusionSound-%{version}.tar.bz2
Group:          System/Libraries
Summary:        An audio sub system
BuildRequires:  DirectFB-devel = %directfbver
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	FusionSound
Obsoletes:	FusionSound

%description
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion.

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.

%package -n %libname
Group:          System/Libraries
Summary:        An audio sub sytem
Provides:       %obslibname
Obsoletes:      %obslibname

%description -n %libname
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion. 

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.

%package -n %libname-devel
Group:          Development/Other
Summary:        An audio sub system
Requires:	%libname = %version-%release
Provides:	%obslibname-devel
Obsoletes:	%obslibname-devel

%description -n %libname-devel
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion.

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.


%prep
%setup -q -n FusionSound-%{version}

%build
%configure
%make

%install
%makeinstall_std

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%dir %_libdir/directfb-%directfbver/interfaces/IFusionSound
%_libdir/directfb-%directfbver/interfaces/IFusionSound/libifusionsound.so

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/directfb-%directfbver/interfaces/IFusionSound/libifusionsound.la
%_prefix/lib/pkgconfig/fusionsound.pc
%dir %_includedir/fusionsound
%_includedir/fusionsound/fusionsound.h

%changelog
* Sun Feb 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.19-2mdk
- lowercase name
- fix ownerchip

* Mon Jan  5 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.9.19-1mdk
- 1st spec file
